Bug 10758 - pdksh-5.2.14-1 breaks with -x and long '>' file
pdksh-5.2.14-1 breaks with -x and long '>' file
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pdksh (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-12 12:42 EDT by Pete
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 09:43:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete 2000-04-12 12:42:51 EDT
Running the following script:

###############################################################################
#!/bin/ksh -x

mkdir -p /tmp/.cs.wisc.edu/common/afs/partitions/
echo boo > /tmp/.cs.wisc.edu/common/afs/partitions/volinfo-biggs-vicepag
###############################################################################

dies on my Red Hat 6.1 box, with the error:

/tmp/yada[4]: internal error: alloc: freeing memory outside of block
(corrupted?)

However, if you shorten the filename of the redirect by one letter
(i.e., s/vicepag/vicepa/), or remove the -x in the invocation, it runs
fine.

I figure someone with knowledge of the code can find the fix much
faster than I can.

Thanks!!

--
Dave Thompson  <thomas@cs.wisc.edu>

Associate Researcher                    Department of Computer Science
University of Wisconsin-Madison         http://www.cs.wisc.edu/~thomas
1210 West Dayton Street                 Phone:    (608)-262-1017
Madison, WI 53706-1685                  Fax:      (608)-262-6626
--
Comment 1 Trond Eivind Glomsrxd 2000-05-08 09:43:59 EDT
The author of pdksh is aware of the problem, and says he has a fix.
Comment 2 Trond Eivind Glomsrxd 2000-07-25 09:56:17 EDT
Fixed. Thanks for your report.
Comment 3 Bill Goodrich 2003-10-28 17:16:42 EST
Subject: [Bug 5047]  - RH 107589 zFCP module not found on s390x
Importance: normal
References: <5047.bugzilla@linux.ibm.com>
In-Reply-To: <5047.bugzilla@linux.ibm.com>
X-Bugzilla-Reason: AssignedTo Reporter QAcontact
X-Bugzilla-Family: zSeries Development
Message-Id: <20031021170759.D159293B67@smtp.linux.ibm.com>
Date: Tue, 21 Oct 2003 13:07:59 -0400 (EDT)

Do not reply to this note.  It was sent by a machine.  Instead append your
comments to the bug at the URL below.

https://bugzilla.linux.ibm.com/show_bug.cgi?id=5047


billgo@us.ibm.com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
            Summary|zFCP module not found on    |RH 107589 zFCP module not
                   |s390x                       |found on s390x 

Note You need to log in before you can comment on or make changes to this bug.